/**
 * ====================================================================================
 * DemoOSMParser.java: Exercise OpenStreetMap SAX Parser ....
 *
 * Written by: Mark Austin                                                 October 2015
 * ====================================================================================
 */

package osm02;

import java.io.*;
import java.net.URL;
import java.util.*;

import javax.xml.parsers.*;
import org.xml.sax.*;

import osm02.model.*;

public class DemoOSMParser {
   public static void main(String[] args) {

         String inputFile = "data/bwiairport.osm";

      // String inputFile = "data/centralpark.osm";
      // String inputFile = "data/wdc-river01.osm";

      System.out.printf("Read: %s ...\n", inputFile );
      System.out.printf("========================================== ...\n");

      try {

          // Load osm data file ....

          OpenStreetMapModel osm = new OpenStreetMapModel(); 
          osm.getData( inputFile );

          // Print contents of osm model ....
    
          osm.print();

      } catch (Exception e) {
         e.printStackTrace();
      } 

      System.out.printf("========================================== ...\n");
      System.out.printf("Finished !! ...\n");
   }
}
